<!DOCTYPE html>
<html>
	<head>
	<title>Documentation UAS Pemograman Web 3</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

	<link type="text/css" href="./css/style.css" rel="stylesheet">
	
	</head>
	
	<body class="bg">
	
		<!-- Navigation -->
	<nav class="navbar navbar-expand-lg navbar-light bg-light static-top mb-5 shadow">
		<div class="container">
			<a class="navbar-brand">Documentation</a>
		</div>
	</nav>

	<!-- Page Content -->
	<div class="container">
		<div class="card border-0 shadow my-5">
			<div class="card-body p-5">
			
			<!-- Content -->
			
				<h1 class="font-weight-light">Documentation dan Cara Penggunaan</h1><hr>
				<p class="lead">Dalam halaman ini, akan dijelaskan cara penggunaan API menggunakan postman secara keseluruhan!</p>
				
				<h3>Link API</h3><hr>
				<p class="lead">Tuliskan Cara<p>
				<div class="form-group">
					<textarea class="form-control" rows="1" id="comment" readonly>http://45.13.132.233:3311/</textarea>
				</div>
				
				<h3>Register</h3><hr>
				<p class="lead">Link API<p>
				<div class="form-group">
					<textarea class="form-control" rows="1" id="comment" readonly>http://45.13.132.233:3311/user/register</textarea>
				</div>
				<p class="lead">Tuliskan Cara<p>
				<div class="form-group">
					<textarea class="form-control" rows="8" id="comment" readonly>
{
	"username": "User 2",
	"nama_depan": "Riky",
	"nama_belakang": "Firmansyah",
	"email": "riky@gmail.com",
	"password": "123",
	"roles": "user"
}
</textarea>
				</div>
				
				<h3>User Login</h3><hr>
				<p class="lead">Link API<p>
				<div class="form-group">
					<textarea class="form-control" rows="1" id="comment" readonly>http://45.13.132.233:3311/user/register</textarea>
				</div>
				<p class="lead">Tuliskan Cara<p>
				<div class="form-group">
					<textarea class="form-control" rows="5" id="comment" readonly>
{
	"email" : "riky@gmail.com",
	"password" : "123"
}
</textarea>
				</div>
				
				<h3>Lihat List Buku</h3><hr>
				<p class="lead">Link API<p>
				<div class="form-group">
					<textarea class="form-control" rows="1" id="comment" readonly>http://45.13.132.233:3311/buku/getAll</textarea>
				</div>
				<p class="lead">Tuliskan Cara<p>
				<div class="form-group">
					<textarea class="form-control" rows="15" id="comment" readonly>
// Hasilnya
[
    {
        "id": 1,
        "judul": "Node.js",
        "isbn": "356876567",
        "type_buku": "Pemrograman",
        "pengarang": "Riky",
        "penerbit": "Gramedia",
        "tahun_publikasi": 2019,
        "harga": 120000,
        "stok": 11,
        "createdAt": "2019-07-19T13:07:48.000Z",
        "updatedAt": "2019-07-19T13:07:48.000Z"
    }
]
					</textarea>
				</div>
				
				<h3>Lihat Detail Buku</h3><hr>
				<p class="lead">Link API<p>
				<div class="form-group">
					<textarea class="form-control" rows="1" id="comment" readonly>http://45.13.132.233:3311/buku/find/1</textarea>
				</div>
				<p class="lead">Tuliskan Cara<p>
				<div class="form-group">
					<textarea class="form-control" rows="14" id="comment" readonly>
// Hasilnya
{
    "id": 1,
    "judul": "Node.js",
    "isbn": "356876567",
    "type_buku": "Pemrograman",
    "pengarang": "Riky",
    "penerbit": "Gramedia",
    "tahun_publikasi": 2019,
    "harga": 120000,
    "stok": 11,
    "createdAt": "2019-07-19T13:07:48.000Z",
    "updatedAt": "2019-07-19T13:07:48.000Z"
}</textarea>
				</div>
				
				<h3>User Membeli Buku</h3><hr>
				<p class="lead">Link API<p>
				<div class="form-group">
					<textarea class="form-control" rows="1" id="comment" readonly>http://45.13.132.233:3311/cart/postAdd</textarea>
				</div>
				<p class="lead">Tuliskan Cara<p>
				<div class="form-group">
					<textarea class="form-control" rows="4" id="comment" readonly>
{
	"bukuId" : "1"
}
					</textarea>
				</div>
				
				<h3>Admin Create Buku</h3><hr>
				<p class="lead">Link API<p>
				<div class="form-group">
					<textarea class="form-control" rows="1" id="comment" readonly>http://45.13.132.233:3311/buku/postAdd</textarea>
				</div>
				<p class="lead">Tuliskan Cara<p>
				<div class="form-group">
					<textarea class="form-control" rows="10" id="comment" readonly>
{
	"judul" : "Node.js",
	"isbn" : "356876567",
	"type_buku" : "Pemrograman",
	"pengarang" : "Riky",
	"penerbit" : "Gramedia",
	"tahun_publikasi" : "2019",
	"harga" : "120000",
	"stok" : "11"
}
</textarea>
				</div>
				
				<h3>Admin Update Buku</h3><hr>
				<p class="lead">Link API<p>
				<div class="form-group">
					<textarea class="form-control" rows="1" id="comment" readonly>http://45.13.132.233:3311/buku/putAdd/1</textarea>
				</div>
				<p class="lead">Tuliskan Cara<p>
				<div class="form-group">
					<textarea class="form-control" rows="10" id="comment" readonly>
{
	"judul": "Node.js",
    "isbn": "356876567",
    "type_buku": "Pemrograman",
    "pengarang": "Riky",
    "penerbit": "Gramedia",
    "tahun_publikasi": 2022,
    "harga": 180000,
    "stok": 11
}
					</textarea>
				</div>
				
				<h3>Admin Delete Buku</h3><hr>
				<p class="lead">Link API<p>
				<div class="form-group">
					<textarea class="form-control" rows="1" id="comment" readonly>http://45.13.132.233:3311/buku/delete/1</textarea>
				</div>
				<p class="lead">Tuliskan Cara<p>
				<div class="form-group">
					<textarea class="form-control" rows="10" id="comment" readonly>
{
	"judul": "Node.js",
    "isbn": "356876567",
    "type_buku": "Pemrograman",
    "pengarang": "Riky",
    "penerbit": "Gramedia",
    "tahun_publikasi": 2022,
    "harga": 180000,
    "stok": 11
}
					</textarea>
				</div>
								
			<!-- END Content -->
			</div>
		</div>
	</div>
		
	<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

	</body>
</html>